
Katello - Bug #6966

API: sorting should contain a default direction

08/06/2014 01:06 PM - Walden Raines

Status: Rejected   

Priority: Normal   

Assignee: Adam Price   

Category: API   

Target version:    

Difficulty: medium Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

If you do not specify a direction when using the order parameter you will receive the following error message:

{"displayMessage":"Cannot sort by ''","errors":["Cannot sort by ''"]}

We should default to DESC if no direction is supplied.

Steps to Reproduce

1. Hit an index URL with ordering such as /katello/api/v2/products?order=name&organization_id=1

2. Notice above error message

History

#1 - 09/08/2014 08:12 AM - Eric Helms

- Target version changed from 55 to 56

#2 - 09/23/2014 06:09 PM - Eric Helms

- Target version deleted (56)

#3 - 12/21/2015 11:47 AM - Eric Helms

- translation missing: en.field_release set to 86

#4 - 01/31/2016 02:26 PM - Eric Helms

- translation missing: en.field_release changed from 86 to 114

#5 - 08/28/2019 07:22 PM - John Mitsch

- Status changed from New to Closed

Thanks for reporting this issue. This issue was created over 4 years ago and hasn't seen an update in 1 year. We are closing this in an effort to keep

a realistic backlog. Please open up a new issue that includes a link to this issue if you feel this still needs to be addressed. We can then triage the

new issue and reassess.

#6 - 08/28/2019 08:37 PM - Justin Sherrill

- Target version deleted (Katello Backlog)

#7 - 08/28/2019 08:45 PM - Justin Sherrill

- Status changed from Closed to Rejected
